Bug 785173

Summary: HVM guest created with xl does not connect to network bridge but same guest connects when created with xm
Product: [Fedora] Fedora Reporter: John McDermott <segfaultreloaded>
Component: xenAssignee: Michael Young <m.a.young>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: berrange, crobinso, jforbes, kraxel, m.a.young, virt-maint, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-11 16:44:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
screen dump of reproducing the problem & config file none

Description John McDermott 2012-01-27 09:18:51 EST
Created attachment 557866 [details]
screen dump of reproducing the problem & config file

Description of problem:
An HVM guest created from the same config file does not attach to the network bridge when created with xl but does connect when created with xm, using the same configuration file.

Version-Release number of selected component (if applicable):

xen-4.1.2-2.fc16.x86_64

How reproducible:

I have this error on 2 different machines, using 3 different guests.

Steps to Reproduce:

1. Install fc16 HVM guest
2. Create xen config file, e.g. "alpha"
3. xm create /etc/xen/alpha
4. Xen guest alpha can reach network
5. Shutdown guest alpha
6. xl create /etc/xen/alpha
7. Xen guest cannot reach network
8. brctl show sez vif is not attached to xl created guest
 
Actual results:

xl created HVM guest cannot reach network using same config file that does work for xm

Expected results:

HVM guests created with xl should be able to reach network

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-05-15 15:38:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-01-16 10:09:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2013-02-11 16:44:21 EST
Hi John, sorry this bug didn't get a response. F16 is becoming unsupported real soon now, so closing this bug as WONTFIX for F16. If you can still reproduce this issue on F18, please reopen.